QGIS Application - Bug report #1161
split feature and topological editing
2008-07-16 09:58 PM - Marco Hugentobler

Status: Closed

Priority: Low

Assignee: Marco Hugentobler
Category: Digitising

Affected QGIS version:
Operating System: All

Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 11221

Description

The split feature function may be slow if topological editing is enabled.
This is because every vertex of the split result, QGIS calculates if vertices need to be inserted in other features.
It would be more efficient to only test the vertices of the split line + the intersection points of the split line and the feature to split

History

#1 - 2008-09-18 11:54 PM - Marco Hugentobler
- Resolution set to fixed
- Status changed from Open to Closed

Fixed in commit:6506e6d1 (SVN r9352)

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
